/* @(#)Interactions.java 1.0  27 March 2006 */

/* Useful imports */
import interfaces.*;
import tester.*;

import edu.neu.ccs.*;
import edu.neu.ccs.gui.*;
import edu.neu.ccs.codec.*;
import edu.neu.ccs.console.*;
import edu.neu.ccs.filter.*;
import edu.neu.ccs.jpf.*;
import edu.neu.ccs.parser.*;
import edu.neu.ccs.pedagogy.*;
import edu.neu.ccs.quick.*;
import edu.neu.ccs.util.*;

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.awt.font.*;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;

import java.io.*;
import java.util.*;
import java.math.*;
import java.beans.*;
import java.lang.reflect.*;
import java.net.URL;
import java.util.regex.*;

import java.text.*;

/**
 * A class that allows the user to play Eliza game repeatedly
 * 
 * @author Viera K. Proulx
 */
public class Interactions extends JPF 
{

  public static void main(String[] args) { 
    // To optionally adjust the look and feel,
    // remove the comments from one of the two statements below.

    // LookAndFeelTools.showSelectLookAndFeelDialog();
    // LookAndFeelTools.adjustAllDefaultFontSizes(2);

    new Interactions();
  }

  ///////////////////////////////////////////////////////////
  // Place your actual methods here.                       //
  ///////////////////////////////////////////////////////////

  /*----------------------------------------------------------------------- 
   Methods to illustrate reading data from a file
   ------------------------------------------------------------------------- */
  ArrayList<City> cities = new ArrayList<City>();

  /** initialize cities with the data from a file */
  public void initCities(){
    City city = new City();
    Traversal tr = new InFileBufferedTraversal(city);

    try{
      while (!tr.isEmpty()){
        cities.add(new City((City)tr.getFirst()));
        tr= tr.getRest();
      }
    }
    catch(IllegalUseOfTraversalException e){
      System.out.println(
          "IllegalUseOfTraversalException: cannot happen" +
          e.getMessage());
    } 
  }

  /** display the cities data */
  public void printCities(){
    for (City city: cities){
      console.out.println(city);
    }
  }

  /** show how the Stringable interface works */
  public void testScanner(){

    City boston = new City("02115", "Boston", "MA", 71.092215, 42.342706);

    // encode City data as a String
    String str = boston.toStringData();
    console.out.println("Encoded string: " + str);

    // use the encoded String to initialize new City fields
    City temp = new City();
    try{
      temp.fromStringData(str);
    }
    catch(ParseException e){
      console.out.println("Parse error: " + str + "\n" + e.getMessage());
    }

    // print out the new objecct
    console.out.println(temp);
  }


  /** ----------------------------------------------------------------------- 
   Run the test suite 
   ------------------------------------------------------------------------- */
  public void TestSuite(){

    Examples e = new Examples();
    Tester t = new Tester();
    e.tests(t);
  }


}

