package tester;

/**
 * A visitor designed to invoke test cases that will be evaluated 
 * by the <CODE>{@link Tester Tester}</CODE> class
 * 
 * @author Viera K. Proulx
 * @since 3 June 2007
 *
 */

public interface Testable{
  
  /**
   * The method implemented by the user that invokes the test cases 
   * and the report generator methods in the 
   * <CODE>{@link Tester Tester}</CODE> class
   * 
   * @param t the <CODE>{@link Tester Tester}</CODE> object used to
   * invoke the test cases and to produce the reports
   */
  public void tests(Tester t);
}